#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <map>

#include <Magnum/Types.h>

using namespace Magnum;

struct ArmourSet {
    const char* name;
    bool neck_compatible;
};

static const std::map<Int, ArmourSet> armour_sets {
    {-1, {"<unequipped>",    true}},
    {0,  {"Vanguard",        true}},
    {1,  {"Assault Mk.I",    true}},
    {2,  {"Assault Mk.II",   false}},
    {3,  {"Assault Mk.III",  false}},
    {7,  {"Titan 001",       true}},
    {8,  {"Titan 002",       false}},
    {9,  {"Titan 003",       false}},
    {13, {"Blitz X",         true}},
    {14, {"Blitz EX",        false}},
    {15, {"Blitz EXS",       false}},
    {16, {"Kaiser S-R0",     true}},
    {17, {"Kaiser S-R1",     false}},
    {18, {"Kaiser S-R2",     false}},
    {19, {"Hammerfall MG-A", true}},
    {20, {"Hammerfall MG-S", false}},
    {21, {"Hammerfall MG-X", false}},
    {22, {"Panzer S-UC",     true}},
    {23, {"Panzer L-UC",     false}},
    {24, {"Panzer H-UC",     false}},
};
